@echo off

cd %~dp0
for /f "delims=" %%x in (config.ini) do (set "%%x")
set tempinfo=%temppath%\tempinfo.txt

CLS
:start
echo Batch FLV to MP4-MKV Video Remuxer (With Auto Frame Rate Detector) v2
echo =====================================================================
echo Developed by Terra (terrapolis.org)
echo Contact @terra_zephead on Twitter
echo.
echo.
echo This program remuxes a directory of FLV files that contain AAC and H264 streams into MP4 without transcoding, so the entire conversion is lossless.
echo It is particularly useful for YouTube, MTV or VH1 FLV files. 
echo This version of the program will automatically determine the right frame rate for the file(s).
echo.
echo If an FLV file(s) does not contain AAC and H264 streams, the program will attempt to remux the FLV into MKV and output the name of the affected file in a TXT file. 
echo.
echo NOTE: Sometimes the resulting remuxed file(s) may not work correctly so it's best to test before deleting the original(s).

echo.
echo.
pause
CLS
for %%a IN ("%sourcepath%\*.flv") do (
"%batchpath%\FLVExtractcl" -v -a -d "%temppath%" "%%a"
"%batchpath%\FLVExtractcl" "%%a" > %tempinfo%

setlocal enabledelayedexpansion
set foundfps=0
for /f "skip=5 tokens=4 delims= " %%x in (%tempinfo%) do (if !foundfps!==0 (set fps=%%x & set foundfps=1))
if exist "%temppath%\%%~na.264" (
"%batchpath%\mp4box" -add "%temppath%\%%~na.264" -add "%temppath%\%%~na.aac" -fps !fps! "%destpath%\%%~na.mp4"
) else if exist "%temppath%\%%~na.avi" (
"%batchpath%\ffmpeg" -i "%sourcepath%\%%~na.flv" -vcodec copy -acodec copy "%destpath%\%%~na.mkv"
echo "%%a" >> %destpath%\NotMP4CompatibleFiles.txt
)
endlocal

for %%b IN ("%temppath%\%%~na.*") do (
del "%%b"
)
del %tempinfo%
echo.
)

echo Your file(s) has been saved to %destpath%\
echo.
pause

:end